Bug 112680 - kernel 2.4.20-27.8 rocketport driver can't see card
kernel 2.4.20-27.8 rocketport driver can't see card
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-27 20:01 EST by Robert M. Riches Jr.
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of 'lspci -v' (4.68 KB, text/plain)
2003-12-27 20:02 EST, Robert M. Riches Jr.
no flags Details
tail end of /var/log/messages (4.46 KB, text/plain)
2003-12-27 20:04 EST, Robert M. Riches Jr.
no flags Details
output of dmesg (15.12 KB, text/plain)
2003-12-27 20:04 EST, Robert M. Riches Jr.
no flags Details
this is a copy of /proc/interrupts (547 bytes, text/plain)
2003-12-27 20:05 EST, Robert M. Riches Jr.
no flags Details

  None (edit)
Description Robert M. Riches Jr. 2003-12-27 20:01:07 EST
Description of problem:
With kernel 2.4.20-27.8, the rocketport driver (for Comtrol
serial port cards) does not work.  Same card has worked with
every RHL 8.0 kernel since March, 2003.

Version-Release number of selected component (if applicable):
2.4.20-27.8

How reproducible:
100%

Steps to Reproduce:
1.Upgrade kernel to 2.4.20-27.8 on a system with a working
Rocketport card in it.

2.Attempt 'modprobe rocket' or let mgetty trigger an
automatic module load.
  
Actual results:
Module load fails, because driver complains there are no
rocketport cards installed.

Expected results:
Module should load and allow interaction with the card.

Additional info:
I have done several earlier kernel upgrades with _no_
difficulties with the card.  File /etc/rocketport.conf
says nothing is needed for PCI cards.  I'll attach
output of 'lspci -v', /proc/interrupts, and extracts
from /var/log/messages and such.
Comment 1 Robert M. Riches Jr. 2003-12-27 20:02:06 EST
Created attachment 96710 [details]
output of 'lspci -v'
Comment 2 Robert M. Riches Jr. 2003-12-27 20:04:12 EST
Created attachment 96711 [details]
tail end of /var/log/messages
Comment 3 Robert M. Riches Jr. 2003-12-27 20:04:37 EST
Created attachment 96712 [details]
output of dmesg
Comment 4 Robert M. Riches Jr. 2003-12-27 20:05:33 EST
Created attachment 96713 [details]
this is a copy of /proc/interrupts
Comment 5 Bugzilla owner 2004-09-30 11:41:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.